[arch-commits] Commit in gnome-screensaver/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu May 1 15:34:13 EDT 2008


    Date: Thursday, May 1, 2008 @ 15:34:12
  Author: jgc
Revision: 1188

Merged revisions 2-1186 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnome-screensaver/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1186 | jgc | 2008-05-01 19:33:49 +0000 (Thu, 01 May 2008) | 2 lines
  
  upgpkg: gnome-screensaver 2.22.2-1
      Add patch to honour gamma settings
........

Added:
  gnome-screensaver/repos/extra-i686/gs-fade.patch
    (from rev 1186, gnome-screensaver/trunk/gs-fade.patch)
Modified:
  gnome-screensaver/repos/extra-i686/	(properties)
  gnome-screensaver/repos/extra-i686/PKGBUILD

---------------+
 PKGBUILD      |   10 ++++++---
 gs-fade.patch |   57 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 3 deletions(-)


Property changes on: gnome-screensaver/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gnome-screensaver/trunk:1
   + /gnome-screensaver/trunk:1-1186

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-01 19:34:04 UTC (rev 1187)
+++ extra-i686/PKGBUILD	2008-05-01 19:34:12 UTC (rev 1188)
@@ -2,26 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-screensaver
-pkgver=2.22.0
+pkgver=2.22.2
 pkgrel=1
 pkgdesc="Screensaver designed to integrate well with the GNOME desktop."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://live.gnome.org/GnomeScreensaver"
 backup=(etc/pam.d/gnome-screensaver)
-depends=('gnome-menus>=2.22.0' 'libxxf86misc' 'libgnomekbd>=2.21.4.1' 'libxss'
+depends=('gnome-menus>=2.22.1' 'libxxf86misc' 'libgnomekbd>=2.22.0' 'libxss'
 	 'libgl' 'libnotify')
 makedepends=('pkgconfig' 'gettext' 'perlxml' 'mesa' 'xscreensaver')
 groups=('gnome')
 options=(!emptydirs)
 install=gnome-screensaver.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2
+	gs-fade.patch
         archify-pam.patch)
-md5sums=('3f307d340d511c97192a9dc9b83a69f5' '18c417676f6e8ef16ca2a10be74578a5')
+md5sums=('496a2e0cba5c27db57a72ecf2e17f789'
+	 '7c4382ea1f41aed9066c3e68dc115186'
+	 '18c417676f6e8ef16ca2a10be74578a5')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np0 -i ${startdir}/src/archify-pam.patch || return 1
+  patch -Np0 -i ${startdir}/src/gs-fade.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/gnome-screensaver \
               --localstatedir=/var --with-gdm-config=/usr/share/gdm/defaults.conf \

Copied: gnome-screensaver/repos/extra-i686/gs-fade.patch (from rev 1186, gnome-screensaver/trunk/gs-fade.patch)
===================================================================
--- extra-i686/gs-fade.patch	                        (rev 0)
+++ extra-i686/gs-fade.patch	2008-05-01 19:34:12 UTC (rev 1188)
@@ -0,0 +1,57 @@
+Index: src/gs-fade.c
+===================================================================
+--- src/gs-fade.c	(revision 1322)
++++ src/gs-fade.c	(working copy)
+@@ -296,6 +296,10 @@
+         }
+ # endif
+ 
++        if (fade->priv->gamma_info) {
++                return TRUE;
++        }
++
+         info = g_new0 (xf86_gamma_info, fade->priv->num_screens);
+         fade->priv->gamma_info = info;
+ 
+@@ -402,8 +406,10 @@
+         int      screen;
+         gboolean res;
+ 
+-        for (screen = 0; screen < fade->priv->num_screens; screen++) {
+-                res = xf86_whack_gamma (screen, &fade->priv->gamma_info [screen], alpha);
++        if (fade->priv->gamma_info) {
++                for (screen = 0; screen < fade->priv->num_screens; screen++) {
++                        res = xf86_whack_gamma (screen, &fade->priv->gamma_info [screen], alpha);
++                }
+         }
+ 
+         return TRUE;
+@@ -523,6 +529,8 @@
+ 
+         g_return_if_fail (GS_IS_FADE (fade));
+ 
++        gamma_info_init (fade);
++
+         if (fade->priv->timer_id > 0) {
+                 gs_fade_stop (fade);
+         }
+@@ -641,6 +649,8 @@
+         fade->priv->current_alpha = 1.0;
+ 
+         gs_fade_set_alpha (fade, fade->priv->current_alpha);
++
++        gamma_info_free (fade);
+ }
+ 
+ static void
+@@ -681,7 +691,9 @@
+         display = gdk_display_get_default ();
+         fade->priv->num_screens = gdk_display_get_n_screens (display);
+ 
+-        gamma_info_init (fade);
++#ifdef HAVE_XF86VMODE_GAMMA
++        fade->priv->gamma_info = NULL;
++#endif
+ }
+ 
+ static void





More information about the arch-commits mailing list